""" brad: Radiance import settings
"""

#    This file is part of brad (Blended RADiance).
#
#    brad is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    brad is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with Foobar; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

import os
import os.path

import Blender
from Blender.Draw import *

from BaseWindowClass import BaseWindowClass

from brad_i18n import *

class Importwin(BaseWindowClass):

   def __init__(self, LocX, LocY, Width, Heigth, Title, okEvent, escEvent, setEvent, Deco):

      BaseWindowClass.__init__(self,LocX,LocY,Width,Heigth)

      self.type="ImportSettingsWin"

      #self.Height = 110
      self.okE=okEvent
      self.escE=escEvent
      self.setE=setEvent
      self.decoration=Deco
      self.title=Title

      self.importfilename = Create("")


   #-------------------------------------------#
   #    DRAWING THE BUTTONS                    #
   #-------------------------------------------#

   def drawIt(self):

      if self.Visibility==1:
         if self.decoration == 0:
            self.drawBox()
         else:
            self.drawBoxS()

         #rtrace options
         rht = 43 #text row vertical position
         rhb = 67 #button row vertical position
         self.importfilename = String(msg_importFilename+": ",21,self.LocX + 10, self.LocY-rhb,self.Width-80, 20,self.importfilename.val,256,msg_importFilename)

         #browse button
         Button(msg_Browse,self.setE,self.LocX+10 + self.Width-80 + 5,self.LocY-rhb,60,20)

         #ok button
         Button(msg_Ok,self.okE,self.LocX+10,self.LocY-self.Height+10,self.Width/3-6,20)

         #cancel button
         Button(msg_Cancel,self.escE,self.LocX+10+2*(self.Width/3-6),self.LocY-self.Height+10,self.Width/3-16,20)

         self.drawTitle(self.title)
         if self.isSelected == 1:
            self.drawBoxHF()


